name: newt-primary
services:
  newt:
    image: fosrl/newt:latest
    container_name: newt-primary
    restart: unless-stopped
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
    environment:
      - PANGOLIN_ENDPOINT=https://pangolin.prestonhunter.space
      - NEWT_ID=a2fnl2hpnwoussx
      - NEWT_SECRET=b4e3nfk6f600gtkl4wi21xyuy738pc7vjv4ad2bo8d8hr1b1
      - DOCKER_SOCKET=/var/run/docker.sock
    networks:
      - npm_default
      - 2fauth_default

networks:
  npm_default:
    external: true
  2fauth_default:
    external: true
